package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检机位信息对象 record_inspection_task
 * 
 * @author wangh
 * @date 2024-09-25
 */
public class RecordInspectionTask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long objid;

    /** 巡检id */
    private Long inspectionId;

    /** 区域id */
    private Long areaId;

    /** 机坪名称 */
    @Excel(name = "机坪名称")
    private String areaName;

    /** 机位码 */
    @Excel(name = "机位码")
    private String planePosition;

    /** 完成状态 */
    @Excel(name = "完成状态")
    private String taskState;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setInspectionId(Long inspectionId) 
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId() 
    {
        return inspectionId;
    }
    public void setAreaId(Long areaId) 
    {
        this.areaId = areaId;
    }

    public Long getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setPlanePosition(String planePosition) 
    {
        this.planePosition = planePosition;
    }

    public String getPlanePosition() 
    {
        return planePosition;
    }
    public void setTaskState(String taskState) 
    {
        this.taskState = taskState;
    }

    public String getTaskState() 
    {
        return taskState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("inspectionId", getInspectionId())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("planePosition", getPlanePosition())
            .append("taskState", getTaskState())
            .toString();
    }
}
